User Tools

Site Tools


zzz_archive:upgrading:opensrf:0.9_to_1.0

Upgrading OpenSRF 0.9 to 1.0

  1. Delete the old OpenSRF Perl modules from /openils/lib/perl5/OpenSRF, as they are now installed in the proper Perl lib directory:
    rm -fr /openils/lib/perl5/OpenSRF
  2. Follow all of the install instructions for installing OpenSRF 1.0 from scratch. Don't bother trying to keep your opensrf_core.xml, opensrf.xml, and srfsh.xml files around; the move to multi-domain OpenSRF (private services and public services) renders your old configuration files useless.
zzz_archive/upgrading/opensrf/0.9_to_1.0.txt · Last modified: 2018/04/25 15:41 by dbwells

© 2008-2017 GPLS and others. Evergreen is open source software, freely licensed under GNU GPLv2 or later.
The Evergreen Project is a member of Software Freedom Conservancy.